#!/usr/bin/perl
#
# Very simple japanese hyphenation;
# Currently, line head japanese hyphenation is only available.
# If you have any complaints and need more, you can expand with
# your class inherited from Jcode.

use strict;
use Jcode;
BEGIN {
    if ($] < 5.008001){
        print "1..0 # Skip: Perl 5.8.1 or later required\n";
        exit 0;
    }
    require Test::More;
    Test::More->import(tests => 3);
    
}

my ($str,$check,$line);
my $kin = [qw/  ! ?/];

$check = jcode('--')->euc;
$str   = '';
$line  = jcode($str)->jfold(10,'-',$kin)->euc;
is($line, $check ,'jfold() with kinsoku 1');

$check = jcode('--')->euc;
$str   = '';
$line  = jcode($str)->jfold(10,'-',$kin)->euc;
is($line, $check ,'jfold() with kinsoku 2');

$check = jcode('!?')->euc;
$str   = '!?';
$line = jcode($str)->jfold(10,'-',$kin)->euc;
is($line, $check ,'jfold() with kinsoku 3');

__END__

